part of 'theme_bloc.dart';

abstract class ThemeEvent extends Equatable {
  const ThemeEvent();

  @override
  List<Object> get props => [];
}

final class LoadThemeEvent extends ThemeEvent {}

final class ChangeThemeEvent extends ThemeEvent {
  final AppThemeMode appThemeMode;

  const ChangeThemeEvent(this.appThemeMode);

  @override
  List<Object> get props => [appThemeMode];
}
